//------------------------------------------------------------------------------
// <auto-generated>
//     Ce code a été généré à partir d'un modèle.
//
//     Des modifications manuelles apportées à ce fichier peuvent conduire à un comportement inattendu de votre application.
//     Les modifications manuelles apportées à ce fichier sont remplacées si le code est régénéré.
// </auto-generated>
//------------------------------------------------------------------------------

namespace DBLibrary.DataAccess
{
    using System;
    using System.Data.Entity;
    using System.Data.Entity.Infrastructure;
    
    public partial class SensorFLowEntities : DbContext
    {
        public SensorFLowEntities()
            : base("name=SensorFLowEntities")
        {
        }
    
        protected override void OnModelCreating(DbModelBuilder modelBuilder)
        {
            throw new UnintentionalCodeFirstException();
        }
    
        public virtual DbSet<capteur> capteur { get; set; }
        public virtual DbSet<data> data { get; set; }
        public virtual DbSet<Ligne> Ligne { get; set; }
        public virtual DbSet<metadata> metadata { get; set; }
        public virtual DbSet<releve> releve { get; set; }
    }
}
